image: node:11.1.0
stages:
  - install
  - test

install-dependencies:
    
    stage: install
    script:
        - echo 'export LT_USERNAME=gabriel.gonzalez.axovia'
        - echo 'export LT_USERNAME=gabriel.gonzalez.axovia'
        - npm install
        - npm install -g protractor
    artifacts:
        expire_in: 1hr
        paths:
        - node_modules/
    cache:
        paths:
        - node_modules/

test-app:
 stage: test
 dependencies:
  - install-dependencies
 script:
   npm test 